/* --------------------------------------------------------
 -----   ~/DesktopModules/BusinessEngine/extensions/nitro-I/field-types/textbox/default/default.css   -----
-----------------------------------------------------------*/
/* --------------------------------------------------------
     Input Group With Icon
-----------------------------------------------------------*/

.b-input-group {
    --border-width: 1.5px;
    --background: #fff;
    --border-default: #d0d0df;
    --border-active: #d0d0df;
    --border: var(--border-active);
    --shadow: var(--shadow-active);
    --shadow-default: rgba(32, 32, 72, 0.12);
    --shadow-active: rgba(61, 109, 249, 0.25);
    --text-color: #818190;
    --placeholder-color: #c9c9d9;
    --placeholder-color-hover: #babac9;
    --close: #818190;
    --close-light: #babac9;
    --close-background: #f1f1fa;
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
    border-radius: 0.375rem;
    background: var(--background);
    border: solid 0.1rem #dee2e6;
    transition: box-shadow 0.2s;
}

.b-input-group:focus-within {
    box-shadow: inset 0 0 0 var(--border-width, 1px) var(--border, var(--border-default)), 0 1px 3px var(--shadow, var(--shadow-default));
}

.b-input-group>input {
    -webkit-appearance: none;
    background: none;
    border: none;
    outline: none;
    display: block;
    width: 100%;
    margin: 0;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    font-size: 0.95rem;
    font-weight: 400;
    line-height: 1.4rem;
    color: var(--text-color);
}

.b-input-group>span {
    top: 0.7rem;
    position: absolute;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: calc(1.5em + 1.3rem + 2px);
}

.b-input-group.icon-position-left {
    padding-left: 2.3rem;
    padding-right: 0.5rem;
}

.b-input-group.icon-position-left>span {
    right: auto;
    left: 0;
}

.b-input-group.icon-position-right {
    padding-right: 2.3rem;
    padding-left: 0.5rem;
}

.b-input-group.icon-position-right>span {
    left: auto;
    right: 0;
}

.b-input-group.input-large>input {
    padding-top: 0.8rem !important;
    padding-bottom: 0.8rem !important;
    font-size: 1.1rem;
}

.b-input-group.input-large>span {
    top: 0.9rem;
    font-size: 1.1rem;
}

.b-input-group.input-small>input {
    padding-top: 0.35rem !important;
    padding-bottom: 0.35rem !important;
    font-size: 0.85rem;
    line-height: 1.2rem;
}

.b-input-group.input-small>span {
    top: 0.5rem;
    font-size: 0.9rem;
}




